<?xml version="1.0" encoding="UTF-8"?>



<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">


    <head> </head>
    <body>
        <h:form>
            <p:panel header="Validate">
                <p:messages />

                <h:panelGrid columns="2" style="margin-bottom:10px" cellpadding="5">
                    <p:outputLabel for="console" value="Console:" />
                    <p:selectOneRadio id="console" value="#{radioView.console}">
                        <f:selectItem itemLabel="cliente" itemValue="Cliente" />
                        <f:selectItem itemLabel="proprietario" itemValue="Proprietário" />
                    </p:selectOneRadio>
                </h:panelGrid>
                
                <h:panelGrid columns="4" cellpadding="5">
                    <h:outputLabel for="nome" value="Nome:" />
                    <p:inputText id="nome" value="#{enderecoBean.endereco}" label="Nome"/>
                    <p:message for="nome" />
                    

                    <h:outputLabel for="" value="" />
                    <p:inputText id="idade" value="#{beanValidationView.age}" label="Idade"/>
                    <p:message for="idade" />
                    <h:outputText value="#{beanValidationView.age}" />

                    <h:outputLabel for="cnpj" value="CNPJ:" />
                    <p:inputText id="cnpj" value="#{beanValidationView.amount}" label="CNPJ"/>
                    <p:message for="cnpj" />
                    
                    <h:outputText value="#{beanValidationView.amount}" />

                    <h:outputLabel for="amount2" value="Amount: (@Digits(integer=3,fraction=2))" />
                    <p:inputText id="amount2" value="#{beanValidationView.amount2}" label="Amount 2"/>
                    <p:message for="amount2" />
                    <h:outputText value="#{beanValidationView.amount2}" />

                </h:panelGrid>

                

                <p:commandButton value="Salvar" ajax="false" icon="ui-icon-check" validateClient="true"/>
            </p:panel>

        </h:form>
    </body>
</html>